> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/cost-management-agent-apis/commitment-orchestrator/commitment-orchestrator-apis.md).

# Commitment Orchestrator APIs

## List event logs

> Obtains list of event logs generated as part of commitment orchestration

```json
{"openapi":"3.0.1","info":{"title":"Commitment Orchestrator APIs","version":"1.0.0"},"tags":[],"servers":[{"url":"https://app.harness.io/gateway","description":"Production server"}],"paths":{"/accounts/{account_id}/v1/events/logs":{"post":{"tags":["Commitment Orchestrator APIs"],"summary":"List event logs","description":"Obtains list of event logs generated as part of commitment orchestration","operationId":"EventLogs","parameters":[{"name":"account_id","description":"Account Identifier for the Entity","in":"path","required":true,"schema":{"type":"string"}},{"name":"cloud_account_id","description":"Cloud Account Identifier","in":"query","required":false,"schema":{"type":"string"}},{"name":"start_date","in":"query","required":false,"schema":{"type":"string","description":"Start date of the period in YYYY-MM-DD format"}},{"name":"end_date","in":"query","required":false,"schema":{"type":"string","description":"End date of the period in YYYY-MM-DD format (will be adjusted to end of day)"}},{"name":"event_type","description":"Type of event to filter by","in":"query","required":false,"schema":{"type":"string"}},{"name":"service","description":"AWS Service type","in":"query","required":false,"schema":{"type":"string","enum":["Amazon Elastic Compute Cloud - Compute","Amazon Relational Database Service"],"default":"Amazon Elastic Compute Cloud - Compute"}}],"requestBody":{"description":"Input for Pagination and Filters","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventLogsRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventLogsSuccessResponse"}}}},"400":{"description":"Invalid status value","content":{}}}}}},"components":{"schemas":{"EventLogsRequest":{"type":"object","properties":{"limit":{"type":"integer","maximum":100,"description":"Number of results per page"},"page":{"type":"integer","maximum":100,"description":"Page number"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/GenericFilter"},"description":"Array of filters to apply to the event logs"}}},"GenericFilter":{"type":"object","properties":{"field":{"type":"string","description":"Field name to filter by (e.g., region, account_id, etc.)"},"values":{"type":"array","items":{"type":"string"},"description":"List of values to filter by"}},"required":["field","values"]},"EventLogsSuccessResponse":{"type":"object","properties":{"ts":{"type":"integer","description":"Response timestamp"},"success":{"type":"boolean","description":"Specifies if the operation is successful"},"errors":{"type":"string","description":"Specifies the error if the operation failed"},"response":{"type":"object","properties":{"total":{"type":"integer"},"pages":{"type":"integer"},"events":{"type":"array","items":{"$ref":"#/components/schemas/EventResponse"}}}}}},"EventResponse":{"type":"object","properties":{"id":{"type":"integer"},"cloud_account_id":{"type":"string"},"account_id":{"type":"string"},"transaction_id":{"type":"string"},"event_type":{"type":"string"},"region":{"type":"string"},"category":{"type":"string"},"status":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"metadata":{"type":"object"},"description":{"type":"string"}}}}}}
```
